#
# spec file for package xfce4-panel-plugin-sensors
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-sensors-plugin

Name:           xfce4-panel-plugin-sensors
Version:        1.2.6
Release:        5.2
Summary:        Hardware Sensor Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.2/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libsensors4-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Sensors plugin and standalone application allow to monitor various hardware
sensors supported by libsensors.

%package devel
Summary:        Development Files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       xfce4-panel >= %{panel_version}

%description devel
This package contains the development files needed to develop applications
based on libxfce4sensors.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure \
    --disable-static \
    --enable-libsensors=yes \
    --enable-sysfsacpi
make %{_smp_mflags} V=1

%install
%make_install

rm -rf %{buildroot}%{_libdir}/xfce4/modules/libxfce4sensors.la

%suse_update_desktop_file -r xfce4-sensors X-XFCE System Monitor

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE NEWS NOTES README TODO
%{_bindir}/xfce4-sensors
%{_libexecdir}/xfce4/panel-plugins/xfce4-sensors-plugin
%{_datadir}/icons/hicolor/*/apps/xfce-sensors.*
%{_datadir}/applications/xfce4-sensors.desktop
%{_datadir}/xfce4/panel-plugins/xfce4-sensors-plugin.desktop
%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/modules
%{_libdir}/xfce4/modules/libxfce4sensors.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/xfce4/modules/libxfce4sensors.so

%files lang -f %{name}.lang

%changelog
* Fri Feb 27 2015 gber@opensuse.org
- update to version 1.2.6
  - support for thermal_zoneX folders in sysfs
  - inhibit various plugin crashes
  - tooltip automatically deactivated for tacho view so that plugin
    doesn't crash then (can be reactivated in settings dialog from
    panel settings -> objects -> sensors plugin -> properties)
* Wed May 16 2012 gber@opensuse.org
- update to version 1.2.5
  - fix German translation
  - fix build with --enable-hddtemp=yes
* Mon May 14 2012 gber@opensuse.org
- update to version 1.2.4
  - fix some memory issues
  - stabilize support for hddtemp
  - improve battery reading via ACPI and sysfs
  - translation updates
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- split off -lang subpackage
* Mon Sep 19 2011 gber@opensuse.org
- update to version 1.2.3
  - Build issues with gcc 4.6
  - autotool stuff
  - nvidis sensor support
  - libnotify support for version 0.7
  - safer saving of font for tachometers
  - added missing files to repository
  - make distcheck works again
  - applied, verified, corrected patches by various people
  - hddtemp and netcat should work with the port-version now
- dropped obsolete
  xfce4-panel-plugin-sensors-1.0.0-fix-build-with-4.7.patch,
  xfce4-panel-plugin-sensors-1.0.0-fix-ldflags.patch,
  xfce4-panel-plugin-sensors-1.0.0-fix-libnotify-0.7.patch,
  xfce4-panel-plugin-sensors-1.0.0-fix-memory-leaks.patch,
  xfce4-panel-plugin-sensors-1.0.0-fix-uninitialized-memory.patch
* Fri Sep 16 2011 andrea.turrini@gmail.com
- fixed typos in xfce4-panel-plugin-sensors.spec
* Wed May  4 2011 gber@opensuse.org
- added xfce4-panel-plugin-sensors-1.0.0-fix-libnotify-0.7.patch
  in order to adapt to libnotify 0.7.0 API changes
* Mon May  2 2011 gber@opensuse.org
- added xfce4-panel-plugin-sensors-1.0.0-fix-ldflags.patch which
  fixes LDFLAGS for use with gcc 4.6
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
